---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: hello-minikube
spec:
  selector:
    matchLabels:
      app: hello-minikube
  template:
    metadata:
      labels:
        app: hello-minikube
    spec:
      containers:
      - image: gcr.io/google-containers/echoserver:1.9
        name: echoserver
        resources:
          limits:
            cpu: 20m
            memory: 64Mi
          requests:
            cpu: 10m
            memory: 30Mi